---
title: "Get Project"
slug: "get-project"
updated: 2026-01-06T19:11:43Z
published: 2026-01-06T19:11:46Z
canonical: "docs.validatar.com/get-project"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.validatar.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Project
Get/api/v1/Authoring/projects/{id}
Returns information about a specified project
SecurityAPI Key: x-val-api-tokenHeader parameter namex-val-api-token
API key needed to access endpoints. Each Validatar user can manage their own set of API keys.
Path parametersidinteger (int32) Required
Id of the project being retrieved
Responses200
OK
Expand Allobject namestring | null
The project name
descriptionstring | null
The project description
dataSources Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null
List of data sources the project has access to
object idinteger (int32)
The object's ID
namestring | null
The object's name
rootTestFolderIdinteger (int32)
The folder ID of the root test folder in the project
rootJobFolderIdinteger (int32)
The folder ID of the root job folder in the project
permissions Array of object (Configuration.Api.Models.v1.ProjectPermission) | null
List of permissions added to the project
object typestring Valid values[
"User",
"Group"
]
namestring
The permission holder name
Min length1
roleSetstring | null
The name of a predefined role set
roles Array of string (Configuration.Api.Models.v1.ProjectRole) | null
The custom roles to use when the roleSet property is empty
string Valid values[
"Admin",
"CreateJobs",
"Export",
"Import",
"LabelManager",
"CreateTests"
]
customFieldsobject | null
List of custom fields added to the project
property*
404
Not Found
object errorstring | null